/**
 * = Modals
 */

.modal {
  &.static-example {
    position: relative;
    display: block;
  }
}

.modal-content {
  border: 0;
  @if $enable-rounded {
    border-radius: $modal-content-border-radius;
  } @else {
    border-radius: 0;
  }
}

.modal-fluid {
  .modal-dialog {
    margin-top: 0;
    margin-bottom: 0;
  }
  .modal-content {
    border-radius: 0;
  }
}

.modal-header {
  .btn-close {
    margin: ($modal-header-padding-y / -2) auto ($modal-header-padding-y / -2)
      ($modal-header-padding-x / -2) !important;
  }
}
